// source: reclosermodule/reclosermodule.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {missingRequire} reports error on implicit type usages.
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!
/* eslint-disable */
// @ts-nocheck

var jspb = require('google-protobuf');
var goog = jspb;
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof window !== 'undefined' && window) ||
  (typeof global !== 'undefined' && global) ||
  (typeof self !== 'undefined' && self) ||
  (function () { return this; }).call(null) ||
  Function('return this')();

var uml_pb = require('../uml_pb.js');
goog.object.extend(proto, uml_pb);
var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var commonmodule_commonmodule_pb = require('../commonmodule/commonmodule_pb.js');
goog.object.extend(proto, commonmodule_commonmodule_pb);
goog.exportSymbol('proto.reclosermodule.Recloser', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserDiscreteControl', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserDiscreteControlProfile', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserDiscreteControlXCBR', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserEvent', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserEventProfile', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserReading', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserReadingProfile', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserStatus', null, global);
goog.exportSymbol('proto.reclosermodule.RecloserStatusProfile', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserDiscreteControlXCBR = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserDiscreteControlXCBR, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserDiscreteControlXCBR.displayName = 'proto.reclosermodule.RecloserDiscreteControlXCBR';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserDiscreteControl = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserDiscreteControl, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserDiscreteControl.displayName = 'proto.reclosermodule.RecloserDiscreteControl';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.Recloser = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.Recloser, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.Recloser.displayName = 'proto.reclosermodule.Recloser';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserDiscreteControlProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserDiscreteControlProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserDiscreteControlProfile.displayName = 'proto.reclosermodule.RecloserDiscreteControlProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserEvent = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserEvent, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserEvent.displayName = 'proto.reclosermodule.RecloserEvent';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserEventProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserEventProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserEventProfile.displayName = 'proto.reclosermodule.RecloserEventProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserReading = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserReading, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserReading.displayName = 'proto.reclosermodule.RecloserReading';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserReadingProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.reclosermodule.RecloserReadingProfile.repeatedFields_, null);
};
goog.inherits(proto.reclosermodule.RecloserReadingProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserReadingProfile.displayName = 'proto.reclosermodule.RecloserReadingProfile';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserStatus = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserStatus, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserStatus.displayName = 'proto.reclosermodule.RecloserStatus';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.reclosermodule.RecloserStatusProfile = function (opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.reclosermodule.RecloserStatusProfile, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.reclosermodule.RecloserStatusProfile.displayName = 'proto.reclosermodule.RecloserStatusProfile';
}



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserDiscreteControlXCBR.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserDiscreteControlXCBR} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserDiscreteControlXCBR.toObject = function (includeInstance, msg) {
    var f, obj = {
      discretecontrolxcbr: (f = msg.getDiscretecontrolxcbr()) && commonmodule_commonmodule_pb.DiscreteControlXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserDiscreteControlXCBR}
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserDiscreteControlXCBR;
  return proto.reclosermodule.RecloserDiscreteControlXCBR.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserDiscreteControlXCBR} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserDiscreteControlXCBR}
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.DiscreteControlXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.DiscreteControlXCBR.deserializeBinaryFromReader);
        msg.setDiscretecontrolxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserDiscreteControlXCBR.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserDiscreteControlXCBR} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getDiscretecontrolxcbr();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.DiscreteControlXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.DiscreteControlXCBR discreteControlXCBR = 1;
 * @return {?proto.commonmodule.DiscreteControlXCBR}
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.getDiscretecontrolxcbr = function () {
  return /** @type{?proto.commonmodule.DiscreteControlXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.DiscreteControlXCBR, 1));
};


/**
 * @param {?proto.commonmodule.DiscreteControlXCBR|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControlXCBR} returns this
*/
proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.setDiscretecontrolxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControlXCBR} returns this
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.clearDiscretecontrolxcbr = function () {
  return this.setDiscretecontrolxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControlXCBR.prototype.hasDiscretecontrolxcbr = function () {
  return jspb.Message.getField(this, 1) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserDiscreteControl.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserDiscreteControl.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserDiscreteControl} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserDiscreteControl.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlvalue: (f = msg.getControlvalue()) && commonmodule_commonmodule_pb.ControlValue.toObject(includeInstance, f),
      check: (f = msg.getCheck()) && commonmodule_commonmodule_pb.CheckConditions.toObject(includeInstance, f),
      recloserdiscretecontrolxcbr: (f = msg.getRecloserdiscretecontrolxcbr()) && proto.reclosermodule.RecloserDiscreteControlXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserDiscreteControl}
 */
proto.reclosermodule.RecloserDiscreteControl.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserDiscreteControl;
  return proto.reclosermodule.RecloserDiscreteControl.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserDiscreteControl} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserDiscreteControl}
 */
proto.reclosermodule.RecloserDiscreteControl.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlValue.deserializeBinaryFromReader);
        msg.setControlvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.CheckConditions;
        reader.readMessage(value, commonmodule_commonmodule_pb.CheckConditions.deserializeBinaryFromReader);
        msg.setCheck(value);
        break;
      case 3:
        var value = new proto.reclosermodule.RecloserDiscreteControlXCBR;
        reader.readMessage(value, proto.reclosermodule.RecloserDiscreteControlXCBR.deserializeBinaryFromReader);
        msg.setRecloserdiscretecontrolxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserDiscreteControl.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserDiscreteControl} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserDiscreteControl.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlValue.serializeBinaryToWriter
    );
  }
  f = message.getCheck();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.CheckConditions.serializeBinaryToWriter
    );
  }
  f = message.getRecloserdiscretecontrolxcbr();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reclosermodule.RecloserDiscreteControlXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlValue controlValue = 1;
 * @return {?proto.commonmodule.ControlValue}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.getControlvalue = function () {
  return /** @type{?proto.commonmodule.ControlValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlValue, 1));
};


/**
 * @param {?proto.commonmodule.ControlValue|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
*/
proto.reclosermodule.RecloserDiscreteControl.prototype.setControlvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.clearControlvalue = function () {
  return this.setControlvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.hasControlvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.CheckConditions check = 2;
 * @return {?proto.commonmodule.CheckConditions}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.getCheck = function () {
  return /** @type{?proto.commonmodule.CheckConditions} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.CheckConditions, 2));
};


/**
 * @param {?proto.commonmodule.CheckConditions|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
*/
proto.reclosermodule.RecloserDiscreteControl.prototype.setCheck = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.clearCheck = function () {
  return this.setCheck(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.hasCheck = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional RecloserDiscreteControlXCBR recloserDiscreteControlXCBR = 3;
 * @return {?proto.reclosermodule.RecloserDiscreteControlXCBR}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.getRecloserdiscretecontrolxcbr = function () {
  return /** @type{?proto.reclosermodule.RecloserDiscreteControlXCBR} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.RecloserDiscreteControlXCBR, 3));
};


/**
 * @param {?proto.reclosermodule.RecloserDiscreteControlXCBR|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
*/
proto.reclosermodule.RecloserDiscreteControl.prototype.setRecloserdiscretecontrolxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControl} returns this
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.clearRecloserdiscretecontrolxcbr = function () {
  return this.setRecloserdiscretecontrolxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControl.prototype.hasRecloserdiscretecontrolxcbr = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.Recloser.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.Recloser.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.Recloser} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.Recloser.toObject = function (includeInstance, msg) {
    var f, obj = {
      conductingequipment: (f = msg.getConductingequipment()) && commonmodule_commonmodule_pb.ConductingEquipment.toObject(includeInstance, f),
      normalopen: (f = msg.getNormalopen()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.Recloser}
 */
proto.reclosermodule.Recloser.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.Recloser;
  return proto.reclosermodule.Recloser.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.Recloser} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.Recloser}
 */
proto.reclosermodule.Recloser.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ConductingEquipment;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipment.deserializeBinaryFromReader);
        msg.setConductingequipment(value);
        break;
      case 2:
        var value = new google_protobuf_wrappers_pb.BoolValue;
        reader.readMessage(value, google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
        msg.setNormalopen(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.Recloser.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.Recloser.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.Recloser} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.Recloser.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getConductingequipment();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ConductingEquipment.serializeBinaryToWriter
    );
  }
  f = message.getNormalopen();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ConductingEquipment conductingEquipment = 1;
 * @return {?proto.commonmodule.ConductingEquipment}
 */
proto.reclosermodule.Recloser.prototype.getConductingequipment = function () {
  return /** @type{?proto.commonmodule.ConductingEquipment} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipment, 1));
};


/**
 * @param {?proto.commonmodule.ConductingEquipment|undefined} value
 * @return {!proto.reclosermodule.Recloser} returns this
*/
proto.reclosermodule.Recloser.prototype.setConductingequipment = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.Recloser} returns this
 */
proto.reclosermodule.Recloser.prototype.clearConductingequipment = function () {
  return this.setConductingequipment(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.Recloser.prototype.hasConductingequipment = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional google.protobuf.BoolValue normalOpen = 2;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.reclosermodule.Recloser.prototype.getNormalopen = function () {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 2));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.reclosermodule.Recloser} returns this
*/
proto.reclosermodule.Recloser.prototype.setNormalopen = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.Recloser} returns this
 */
proto.reclosermodule.Recloser.prototype.clearNormalopen = function () {
  return this.setNormalopen(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.Recloser.prototype.hasNormalopen = function () {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserDiscreteControlProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserDiscreteControlProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserDiscreteControlProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserDiscreteControlProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      controlmessageinfo: (f = msg.getControlmessageinfo()) && commonmodule_commonmodule_pb.ControlMessageInfo.toObject(includeInstance, f),
      recloser: (f = msg.getRecloser()) && proto.reclosermodule.Recloser.toObject(includeInstance, f),
      recloserdiscretecontrol: (f = msg.getRecloserdiscretecontrol()) && proto.reclosermodule.RecloserDiscreteControl.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserDiscreteControlProfile;
  return proto.reclosermodule.RecloserDiscreteControlProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserDiscreteControlProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ControlMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ControlMessageInfo.deserializeBinaryFromReader);
        msg.setControlmessageinfo(value);
        break;
      case 2:
        var value = new proto.reclosermodule.Recloser;
        reader.readMessage(value, proto.reclosermodule.Recloser.deserializeBinaryFromReader);
        msg.setRecloser(value);
        break;
      case 3:
        var value = new proto.reclosermodule.RecloserDiscreteControl;
        reader.readMessage(value, proto.reclosermodule.RecloserDiscreteControl.deserializeBinaryFromReader);
        msg.setRecloserdiscretecontrol(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserDiscreteControlProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserDiscreteControlProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserDiscreteControlProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getControlmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ControlMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRecloser();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reclosermodule.Recloser.serializeBinaryToWriter
    );
  }
  f = message.getRecloserdiscretecontrol();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reclosermodule.RecloserDiscreteControl.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ControlMessageInfo controlMessageInfo = 1;
 * @return {?proto.commonmodule.ControlMessageInfo}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.getControlmessageinfo = function () {
  return /** @type{?proto.commonmodule.ControlMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ControlMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ControlMessageInfo|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
*/
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.setControlmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.clearControlmessageinfo = function () {
  return this.setControlmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.hasControlmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Recloser recloser = 2;
 * @return {?proto.reclosermodule.Recloser}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.getRecloser = function () {
  return /** @type{?proto.reclosermodule.Recloser} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.Recloser, 2));
};


/**
 * @param {?proto.reclosermodule.Recloser|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
*/
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.setRecloser = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.clearRecloser = function () {
  return this.setRecloser(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.hasRecloser = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional RecloserDiscreteControl recloserDiscreteControl = 3;
 * @return {?proto.reclosermodule.RecloserDiscreteControl}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.getRecloserdiscretecontrol = function () {
  return /** @type{?proto.reclosermodule.RecloserDiscreteControl} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.RecloserDiscreteControl, 3));
};


/**
 * @param {?proto.reclosermodule.RecloserDiscreteControl|undefined} value
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
*/
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.setRecloserdiscretecontrol = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserDiscreteControlProfile} returns this
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.clearRecloserdiscretecontrol = function () {
  return this.setRecloserdiscretecontrol(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserDiscreteControlProfile.prototype.hasRecloserdiscretecontrol = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserEvent.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserEvent.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserEvent} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserEvent.toObject = function (includeInstance, msg) {
    var f, obj = {
      eventvalue: (f = msg.getEventvalue()) && commonmodule_commonmodule_pb.EventValue.toObject(includeInstance, f),
      statusandeventxcbr: (f = msg.getStatusandeventxcbr()) && commonmodule_commonmodule_pb.StatusAndEventXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserEvent}
 */
proto.reclosermodule.RecloserEvent.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserEvent;
  return proto.reclosermodule.RecloserEvent.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserEvent} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserEvent}
 */
proto.reclosermodule.RecloserEvent.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.EventValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.EventValue.deserializeBinaryFromReader);
        msg.setEventvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.StatusAndEventXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusAndEventXCBR.deserializeBinaryFromReader);
        msg.setStatusandeventxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserEvent.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserEvent.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserEvent} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserEvent.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getEventvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.EventValue.serializeBinaryToWriter
    );
  }
  f = message.getStatusandeventxcbr();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.StatusAndEventXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.EventValue eventValue = 1;
 * @return {?proto.commonmodule.EventValue}
 */
proto.reclosermodule.RecloserEvent.prototype.getEventvalue = function () {
  return /** @type{?proto.commonmodule.EventValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.EventValue, 1));
};


/**
 * @param {?proto.commonmodule.EventValue|undefined} value
 * @return {!proto.reclosermodule.RecloserEvent} returns this
*/
proto.reclosermodule.RecloserEvent.prototype.setEventvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserEvent} returns this
 */
proto.reclosermodule.RecloserEvent.prototype.clearEventvalue = function () {
  return this.setEventvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserEvent.prototype.hasEventvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;
 * @return {?proto.commonmodule.StatusAndEventXCBR}
 */
proto.reclosermodule.RecloserEvent.prototype.getStatusandeventxcbr = function () {
  return /** @type{?proto.commonmodule.StatusAndEventXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusAndEventXCBR, 2));
};


/**
 * @param {?proto.commonmodule.StatusAndEventXCBR|undefined} value
 * @return {!proto.reclosermodule.RecloserEvent} returns this
*/
proto.reclosermodule.RecloserEvent.prototype.setStatusandeventxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserEvent} returns this
 */
proto.reclosermodule.RecloserEvent.prototype.clearStatusandeventxcbr = function () {
  return this.setStatusandeventxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserEvent.prototype.hasStatusandeventxcbr = function () {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserEventProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserEventProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserEventProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserEventProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      eventmessageinfo: (f = msg.getEventmessageinfo()) && commonmodule_commonmodule_pb.EventMessageInfo.toObject(includeInstance, f),
      recloser: (f = msg.getRecloser()) && proto.reclosermodule.Recloser.toObject(includeInstance, f),
      recloserevent: (f = msg.getRecloserevent()) && proto.reclosermodule.RecloserEvent.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserEventProfile}
 */
proto.reclosermodule.RecloserEventProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserEventProfile;
  return proto.reclosermodule.RecloserEventProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserEventProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserEventProfile}
 */
proto.reclosermodule.RecloserEventProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.EventMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.EventMessageInfo.deserializeBinaryFromReader);
        msg.setEventmessageinfo(value);
        break;
      case 2:
        var value = new proto.reclosermodule.Recloser;
        reader.readMessage(value, proto.reclosermodule.Recloser.deserializeBinaryFromReader);
        msg.setRecloser(value);
        break;
      case 3:
        var value = new proto.reclosermodule.RecloserEvent;
        reader.readMessage(value, proto.reclosermodule.RecloserEvent.deserializeBinaryFromReader);
        msg.setRecloserevent(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserEventProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserEventProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserEventProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserEventProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getEventmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.EventMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRecloser();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reclosermodule.Recloser.serializeBinaryToWriter
    );
  }
  f = message.getRecloserevent();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reclosermodule.RecloserEvent.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.EventMessageInfo eventMessageInfo = 1;
 * @return {?proto.commonmodule.EventMessageInfo}
 */
proto.reclosermodule.RecloserEventProfile.prototype.getEventmessageinfo = function () {
  return /** @type{?proto.commonmodule.EventMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.EventMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.EventMessageInfo|undefined} value
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
*/
proto.reclosermodule.RecloserEventProfile.prototype.setEventmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
 */
proto.reclosermodule.RecloserEventProfile.prototype.clearEventmessageinfo = function () {
  return this.setEventmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserEventProfile.prototype.hasEventmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Recloser recloser = 2;
 * @return {?proto.reclosermodule.Recloser}
 */
proto.reclosermodule.RecloserEventProfile.prototype.getRecloser = function () {
  return /** @type{?proto.reclosermodule.Recloser} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.Recloser, 2));
};


/**
 * @param {?proto.reclosermodule.Recloser|undefined} value
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
*/
proto.reclosermodule.RecloserEventProfile.prototype.setRecloser = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
 */
proto.reclosermodule.RecloserEventProfile.prototype.clearRecloser = function () {
  return this.setRecloser(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserEventProfile.prototype.hasRecloser = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional RecloserEvent recloserEvent = 3;
 * @return {?proto.reclosermodule.RecloserEvent}
 */
proto.reclosermodule.RecloserEventProfile.prototype.getRecloserevent = function () {
  return /** @type{?proto.reclosermodule.RecloserEvent} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.RecloserEvent, 3));
};


/**
 * @param {?proto.reclosermodule.RecloserEvent|undefined} value
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
*/
proto.reclosermodule.RecloserEventProfile.prototype.setRecloserevent = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserEventProfile} returns this
 */
proto.reclosermodule.RecloserEventProfile.prototype.clearRecloserevent = function () {
  return this.setRecloserevent(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserEventProfile.prototype.hasRecloserevent = function () {
  return jspb.Message.getField(this, 3) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserReading.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserReading.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserReading} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserReading.toObject = function (includeInstance, msg) {
    var f, obj = {
      conductingequipmentterminalreading: (f = msg.getConductingequipmentterminalreading()) && commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.toObject(includeInstance, f),
      diffreadingmmxu: (f = msg.getDiffreadingmmxu()) && commonmodule_commonmodule_pb.ReadingMMXU.toObject(includeInstance, f),
      phasemmtn: (f = msg.getPhasemmtn()) && commonmodule_commonmodule_pb.PhaseMMTN.toObject(includeInstance, f),
      readingmmtr: (f = msg.getReadingmmtr()) && commonmodule_commonmodule_pb.ReadingMMTR.toObject(includeInstance, f),
      readingmmxu: (f = msg.getReadingmmxu()) && commonmodule_commonmodule_pb.ReadingMMXU.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserReading}
 */
proto.reclosermodule.RecloserReading.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserReading;
  return proto.reclosermodule.RecloserReading.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserReading} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserReading}
 */
proto.reclosermodule.RecloserReading.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading;
        reader.readMessage(value, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.deserializeBinaryFromReader);
        msg.setConductingequipmentterminalreading(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.ReadingMMXU;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMXU.deserializeBinaryFromReader);
        msg.setDiffreadingmmxu(value);
        break;
      case 3:
        var value = new commonmodule_commonmodule_pb.PhaseMMTN;
        reader.readMessage(value, commonmodule_commonmodule_pb.PhaseMMTN.deserializeBinaryFromReader);
        msg.setPhasemmtn(value);
        break;
      case 4:
        var value = new commonmodule_commonmodule_pb.ReadingMMTR;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMTR.deserializeBinaryFromReader);
        msg.setReadingmmtr(value);
        break;
      case 5:
        var value = new commonmodule_commonmodule_pb.ReadingMMXU;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMMXU.deserializeBinaryFromReader);
        msg.setReadingmmxu(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserReading.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserReading.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserReading} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserReading.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getConductingequipmentterminalreading();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading.serializeBinaryToWriter
    );
  }
  f = message.getDiffreadingmmxu();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.ReadingMMXU.serializeBinaryToWriter
    );
  }
  f = message.getPhasemmtn();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      commonmodule_commonmodule_pb.PhaseMMTN.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmtr();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      commonmodule_commonmodule_pb.ReadingMMTR.serializeBinaryToWriter
    );
  }
  f = message.getReadingmmxu();
  if (f != null) {
    writer.writeMessage(
      5,
      f,
      commonmodule_commonmodule_pb.ReadingMMXU.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ConductingEquipmentTerminalReading conductingEquipmentTerminalReading = 1;
 * @return {?proto.commonmodule.ConductingEquipmentTerminalReading}
 */
proto.reclosermodule.RecloserReading.prototype.getConductingequipmentterminalreading = function () {
  return /** @type{?proto.commonmodule.ConductingEquipmentTerminalReading} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ConductingEquipmentTerminalReading, 1));
};


/**
 * @param {?proto.commonmodule.ConductingEquipmentTerminalReading|undefined} value
 * @return {!proto.reclosermodule.RecloserReading} returns this
*/
proto.reclosermodule.RecloserReading.prototype.setConductingequipmentterminalreading = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReading} returns this
 */
proto.reclosermodule.RecloserReading.prototype.clearConductingequipmentterminalreading = function () {
  return this.setConductingequipmentterminalreading(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReading.prototype.hasConductingequipmentterminalreading = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.ReadingMMXU diffReadingMMXU = 2;
 * @return {?proto.commonmodule.ReadingMMXU}
 */
proto.reclosermodule.RecloserReading.prototype.getDiffreadingmmxu = function () {
  return /** @type{?proto.commonmodule.ReadingMMXU} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMXU, 2));
};


/**
 * @param {?proto.commonmodule.ReadingMMXU|undefined} value
 * @return {!proto.reclosermodule.RecloserReading} returns this
*/
proto.reclosermodule.RecloserReading.prototype.setDiffreadingmmxu = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReading} returns this
 */
proto.reclosermodule.RecloserReading.prototype.clearDiffreadingmmxu = function () {
  return this.setDiffreadingmmxu(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReading.prototype.hasDiffreadingmmxu = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional commonmodule.PhaseMMTN phaseMMTN = 3;
 * @return {?proto.commonmodule.PhaseMMTN}
 */
proto.reclosermodule.RecloserReading.prototype.getPhasemmtn = function () {
  return /** @type{?proto.commonmodule.PhaseMMTN} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.PhaseMMTN, 3));
};


/**
 * @param {?proto.commonmodule.PhaseMMTN|undefined} value
 * @return {!proto.reclosermodule.RecloserReading} returns this
*/
proto.reclosermodule.RecloserReading.prototype.setPhasemmtn = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReading} returns this
 */
proto.reclosermodule.RecloserReading.prototype.clearPhasemmtn = function () {
  return this.setPhasemmtn(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReading.prototype.hasPhasemmtn = function () {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional commonmodule.ReadingMMTR readingMMTR = 4;
 * @return {?proto.commonmodule.ReadingMMTR}
 */
proto.reclosermodule.RecloserReading.prototype.getReadingmmtr = function () {
  return /** @type{?proto.commonmodule.ReadingMMTR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMTR, 4));
};


/**
 * @param {?proto.commonmodule.ReadingMMTR|undefined} value
 * @return {!proto.reclosermodule.RecloserReading} returns this
*/
proto.reclosermodule.RecloserReading.prototype.setReadingmmtr = function (value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReading} returns this
 */
proto.reclosermodule.RecloserReading.prototype.clearReadingmmtr = function () {
  return this.setReadingmmtr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReading.prototype.hasReadingmmtr = function () {
  return jspb.Message.getField(this, 4) != null;
};


/**
 * optional commonmodule.ReadingMMXU readingMMXU = 5;
 * @return {?proto.commonmodule.ReadingMMXU}
 */
proto.reclosermodule.RecloserReading.prototype.getReadingmmxu = function () {
  return /** @type{?proto.commonmodule.ReadingMMXU} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMMXU, 5));
};


/**
 * @param {?proto.commonmodule.ReadingMMXU|undefined} value
 * @return {!proto.reclosermodule.RecloserReading} returns this
*/
proto.reclosermodule.RecloserReading.prototype.setReadingmmxu = function (value) {
  return jspb.Message.setWrapperField(this, 5, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReading} returns this
 */
proto.reclosermodule.RecloserReading.prototype.clearReadingmmxu = function () {
  return this.setReadingmmxu(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReading.prototype.hasReadingmmxu = function () {
  return jspb.Message.getField(this, 5) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.reclosermodule.RecloserReadingProfile.repeatedFields_ = [3];



if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserReadingProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserReadingProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserReadingProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserReadingProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      readingmessageinfo: (f = msg.getReadingmessageinfo()) && commonmodule_commonmodule_pb.ReadingMessageInfo.toObject(includeInstance, f),
      recloser: (f = msg.getRecloser()) && proto.reclosermodule.Recloser.toObject(includeInstance, f),
      recloserreadingList: jspb.Message.toObjectList(msg.getRecloserreadingList(),
        proto.reclosermodule.RecloserReading.toObject, includeInstance)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserReadingProfile}
 */
proto.reclosermodule.RecloserReadingProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserReadingProfile;
  return proto.reclosermodule.RecloserReadingProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserReadingProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserReadingProfile}
 */
proto.reclosermodule.RecloserReadingProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.ReadingMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.ReadingMessageInfo.deserializeBinaryFromReader);
        msg.setReadingmessageinfo(value);
        break;
      case 2:
        var value = new proto.reclosermodule.Recloser;
        reader.readMessage(value, proto.reclosermodule.Recloser.deserializeBinaryFromReader);
        msg.setRecloser(value);
        break;
      case 3:
        var value = new proto.reclosermodule.RecloserReading;
        reader.readMessage(value, proto.reclosermodule.RecloserReading.deserializeBinaryFromReader);
        msg.addRecloserreading(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserReadingProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserReadingProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserReadingProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getReadingmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.ReadingMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRecloser();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reclosermodule.Recloser.serializeBinaryToWriter
    );
  }
  f = message.getRecloserreadingList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      3,
      f,
      proto.reclosermodule.RecloserReading.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.ReadingMessageInfo readingMessageInfo = 1;
 * @return {?proto.commonmodule.ReadingMessageInfo}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.getReadingmessageinfo = function () {
  return /** @type{?proto.commonmodule.ReadingMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.ReadingMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.ReadingMessageInfo|undefined} value
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
*/
proto.reclosermodule.RecloserReadingProfile.prototype.setReadingmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
 */
proto.reclosermodule.RecloserReadingProfile.prototype.clearReadingmessageinfo = function () {
  return this.setReadingmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.hasReadingmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Recloser recloser = 2;
 * @return {?proto.reclosermodule.Recloser}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.getRecloser = function () {
  return /** @type{?proto.reclosermodule.Recloser} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.Recloser, 2));
};


/**
 * @param {?proto.reclosermodule.Recloser|undefined} value
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
*/
proto.reclosermodule.RecloserReadingProfile.prototype.setRecloser = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
 */
proto.reclosermodule.RecloserReadingProfile.prototype.clearRecloser = function () {
  return this.setRecloser(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.hasRecloser = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * repeated RecloserReading recloserReading = 3;
 * @return {!Array<!proto.reclosermodule.RecloserReading>}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.getRecloserreadingList = function () {
  return /** @type{!Array<!proto.reclosermodule.RecloserReading>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.reclosermodule.RecloserReading, 3));
};


/**
 * @param {!Array<!proto.reclosermodule.RecloserReading>} value
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
*/
proto.reclosermodule.RecloserReadingProfile.prototype.setRecloserreadingList = function (value) {
  return jspb.Message.setRepeatedWrapperField(this, 3, value);
};


/**
 * @param {!proto.reclosermodule.RecloserReading=} opt_value
 * @param {number=} opt_index
 * @return {!proto.reclosermodule.RecloserReading}
 */
proto.reclosermodule.RecloserReadingProfile.prototype.addRecloserreading = function (opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 3, opt_value, proto.reclosermodule.RecloserReading, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.reclosermodule.RecloserReadingProfile} returns this
 */
proto.reclosermodule.RecloserReadingProfile.prototype.clearRecloserreadingList = function () {
  return this.setRecloserreadingList([]);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserStatus.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserStatus.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserStatus} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserStatus.toObject = function (includeInstance, msg) {
    var f, obj = {
      statusvalue: (f = msg.getStatusvalue()) && commonmodule_commonmodule_pb.StatusValue.toObject(includeInstance, f),
      statusandeventxcbr: (f = msg.getStatusandeventxcbr()) && commonmodule_commonmodule_pb.StatusAndEventXCBR.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserStatus}
 */
proto.reclosermodule.RecloserStatus.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserStatus;
  return proto.reclosermodule.RecloserStatus.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserStatus} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserStatus}
 */
proto.reclosermodule.RecloserStatus.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.StatusValue;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusValue.deserializeBinaryFromReader);
        msg.setStatusvalue(value);
        break;
      case 2:
        var value = new commonmodule_commonmodule_pb.StatusAndEventXCBR;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusAndEventXCBR.deserializeBinaryFromReader);
        msg.setStatusandeventxcbr(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserStatus.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserStatus.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserStatus} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserStatus.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getStatusvalue();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.StatusValue.serializeBinaryToWriter
    );
  }
  f = message.getStatusandeventxcbr();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      commonmodule_commonmodule_pb.StatusAndEventXCBR.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.StatusValue statusValue = 1;
 * @return {?proto.commonmodule.StatusValue}
 */
proto.reclosermodule.RecloserStatus.prototype.getStatusvalue = function () {
  return /** @type{?proto.commonmodule.StatusValue} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusValue, 1));
};


/**
 * @param {?proto.commonmodule.StatusValue|undefined} value
 * @return {!proto.reclosermodule.RecloserStatus} returns this
*/
proto.reclosermodule.RecloserStatus.prototype.setStatusvalue = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserStatus} returns this
 */
proto.reclosermodule.RecloserStatus.prototype.clearStatusvalue = function () {
  return this.setStatusvalue(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserStatus.prototype.hasStatusvalue = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional commonmodule.StatusAndEventXCBR statusAndEventXCBR = 2;
 * @return {?proto.commonmodule.StatusAndEventXCBR}
 */
proto.reclosermodule.RecloserStatus.prototype.getStatusandeventxcbr = function () {
  return /** @type{?proto.commonmodule.StatusAndEventXCBR} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusAndEventXCBR, 2));
};


/**
 * @param {?proto.commonmodule.StatusAndEventXCBR|undefined} value
 * @return {!proto.reclosermodule.RecloserStatus} returns this
*/
proto.reclosermodule.RecloserStatus.prototype.setStatusandeventxcbr = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserStatus} returns this
 */
proto.reclosermodule.RecloserStatus.prototype.clearStatusandeventxcbr = function () {
  return this.setStatusandeventxcbr(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserStatus.prototype.hasStatusandeventxcbr = function () {
  return jspb.Message.getField(this, 2) != null;
};





if (jspb.Message.GENERATE_TO_OBJECT) {
  /**
   * Creates an object representation of this proto.
   * Field names that are reserved in JavaScript and will be renamed to pb_name.
   * Optional fields that are not set will be set to undefined.
   * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
   * For the list of reserved names please see:
   *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
   * @param {boolean=} opt_includeInstance Deprecated. whether to include the
   *     JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @return {!Object}
   */
  proto.reclosermodule.RecloserStatusProfile.prototype.toObject = function (opt_includeInstance) {
    return proto.reclosermodule.RecloserStatusProfile.toObject(opt_includeInstance, this);
  };


  /**
   * Static version of the {@see toObject} method.
   * @param {boolean|undefined} includeInstance Deprecated. Whether to include
   *     the JSPB instance for transitional soy proto support:
   *     http://goto/soy-param-migration
   * @param {!proto.reclosermodule.RecloserStatusProfile} msg The msg instance to transform.
   * @return {!Object}
   * @suppress {unusedLocalVariables} f is only used for nested messages
   */
  proto.reclosermodule.RecloserStatusProfile.toObject = function (includeInstance, msg) {
    var f, obj = {
      statusmessageinfo: (f = msg.getStatusmessageinfo()) && commonmodule_commonmodule_pb.StatusMessageInfo.toObject(includeInstance, f),
      recloser: (f = msg.getRecloser()) && proto.reclosermodule.Recloser.toObject(includeInstance, f),
      recloserstatus: (f = msg.getRecloserstatus()) && proto.reclosermodule.RecloserStatus.toObject(includeInstance, f)
    };

    if (includeInstance) {
      obj.$jspbMessageInstance = msg;
    }
    return obj;
  };
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.reclosermodule.RecloserStatusProfile}
 */
proto.reclosermodule.RecloserStatusProfile.deserializeBinary = function (bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.reclosermodule.RecloserStatusProfile;
  return proto.reclosermodule.RecloserStatusProfile.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.reclosermodule.RecloserStatusProfile} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.reclosermodule.RecloserStatusProfile}
 */
proto.reclosermodule.RecloserStatusProfile.deserializeBinaryFromReader = function (msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
      case 1:
        var value = new commonmodule_commonmodule_pb.StatusMessageInfo;
        reader.readMessage(value, commonmodule_commonmodule_pb.StatusMessageInfo.deserializeBinaryFromReader);
        msg.setStatusmessageinfo(value);
        break;
      case 2:
        var value = new proto.reclosermodule.Recloser;
        reader.readMessage(value, proto.reclosermodule.Recloser.deserializeBinaryFromReader);
        msg.setRecloser(value);
        break;
      case 3:
        var value = new proto.reclosermodule.RecloserStatus;
        reader.readMessage(value, proto.reclosermodule.RecloserStatus.deserializeBinaryFromReader);
        msg.setRecloserstatus(value);
        break;
      default:
        reader.skipField();
        break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.serializeBinary = function () {
  var writer = new jspb.BinaryWriter();
  proto.reclosermodule.RecloserStatusProfile.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.reclosermodule.RecloserStatusProfile} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.reclosermodule.RecloserStatusProfile.serializeBinaryToWriter = function (message, writer) {
  var f = undefined;
  f = message.getStatusmessageinfo();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      commonmodule_commonmodule_pb.StatusMessageInfo.serializeBinaryToWriter
    );
  }
  f = message.getRecloser();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      proto.reclosermodule.Recloser.serializeBinaryToWriter
    );
  }
  f = message.getRecloserstatus();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      proto.reclosermodule.RecloserStatus.serializeBinaryToWriter
    );
  }
};


/**
 * optional commonmodule.StatusMessageInfo statusMessageInfo = 1;
 * @return {?proto.commonmodule.StatusMessageInfo}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.getStatusmessageinfo = function () {
  return /** @type{?proto.commonmodule.StatusMessageInfo} */ (
    jspb.Message.getWrapperField(this, commonmodule_commonmodule_pb.StatusMessageInfo, 1));
};


/**
 * @param {?proto.commonmodule.StatusMessageInfo|undefined} value
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
*/
proto.reclosermodule.RecloserStatusProfile.prototype.setStatusmessageinfo = function (value) {
  return jspb.Message.setWrapperField(this, 1, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
 */
proto.reclosermodule.RecloserStatusProfile.prototype.clearStatusmessageinfo = function () {
  return this.setStatusmessageinfo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.hasStatusmessageinfo = function () {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional Recloser recloser = 2;
 * @return {?proto.reclosermodule.Recloser}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.getRecloser = function () {
  return /** @type{?proto.reclosermodule.Recloser} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.Recloser, 2));
};


/**
 * @param {?proto.reclosermodule.Recloser|undefined} value
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
*/
proto.reclosermodule.RecloserStatusProfile.prototype.setRecloser = function (value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
 */
proto.reclosermodule.RecloserStatusProfile.prototype.clearRecloser = function () {
  return this.setRecloser(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.hasRecloser = function () {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional RecloserStatus recloserStatus = 3;
 * @return {?proto.reclosermodule.RecloserStatus}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.getRecloserstatus = function () {
  return /** @type{?proto.reclosermodule.RecloserStatus} */ (
    jspb.Message.getWrapperField(this, proto.reclosermodule.RecloserStatus, 3));
};


/**
 * @param {?proto.reclosermodule.RecloserStatus|undefined} value
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
*/
proto.reclosermodule.RecloserStatusProfile.prototype.setRecloserstatus = function (value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.reclosermodule.RecloserStatusProfile} returns this
 */
proto.reclosermodule.RecloserStatusProfile.prototype.clearRecloserstatus = function () {
  return this.setRecloserstatus(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.reclosermodule.RecloserStatusProfile.prototype.hasRecloserstatus = function () {
  return jspb.Message.getField(this, 3) != null;
};


goog.object.extend(exports, proto.reclosermodule);
